Bug 68883 - sd_init_onedisk() waits approximately 100 seconds for passive-mode device to spin up.
sd_init_onedisk() waits approximately 100 seconds for passive-mode device to ...
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-07-15 13:53 EDT by Heather Conway
Modified: 2007-04-18 12:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-13 15:05:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed patch by Matt Domsch (734 bytes, patch)
2002-07-26 14:09 EDT, Gary Lerhaupt
no flags Details | Diff

  None (edit)
Description Heather Conway 2002-07-15 13:53:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)

Description of problem:
Filing on behalf of Ed Goggin:
sd_init_onedisk() waits approximately 100 seconds for each clariion passive-
mode device to spin up when the device's driver is loading.  Since these 
passive-mode devices are non-responsive to the
START_STOP SCSI message used to spin up non-removable media, the delay is 

Would it be possible to decrease this delay in such a way that while 
active/passive disk arrays like CLARiiON will not be impacted by needless 
delays, the delays will still be beneficial for JBOD.
Please note that this is an issue with all RedHat v2.4.x releases.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Attach to the CLARiiON array that has passive-mode devices and boot up your 
Linux host.  The host will attempt to spin up each individual passive mode 
device.  For instance, with the 100 second delay for each passive I/O path, a 
linux configuration with 128 scsi disk devices, 64 of which are passive, will 
incur a 1 hour 46 minute delay on bootup.	

Additional info:
Comment 1 Arjan van de Ven 2002-07-15 14:22:11 EDT
which driver is in use here ?
Comment 2 Heather Conway 2002-07-15 14:39:38 EDT
qLogic driver v4.47.8, v4.47.11, v4.47.15 is being used.  This also occurs with 
Emulex driver v4.20l.
Comment 3 Arjan van de Ven 2002-07-15 14:42:37 EDT
Does this happen with a driver that Red Hat actually supports ?
(eg the qla2200 driver from 2.4.19-34 or 2.4.18-5?)

Emulex is very unsupported (binary only) and the 4.x qlogic drivers are also
rather broken; please try 5.31RH.
Comment 4 Heather Conway 2002-07-16 18:10:40 EDT
I tried loading the v5.31RH driver and the behavior was the same.  It is in the 
sd.c, not the FC driver itself.  Is there any way the sd_init_onedisk() 100 
second delay can be decreased?  Thanks.
Comment 5 Gary Lerhaupt 2002-07-26 14:09:09 EDT
Created attachment 67264 [details]
Proposed patch by Matt Domsch
Comment 6 Pete Zaitcev 2002-08-09 16:17:12 EDT
Very sensible patch, I'll make sure the upstream notices.
Comment 7 Heather Conway 2002-08-09 16:21:58 EDT
Thank you....the attention to this is appreciated.
Comment 8 Gary Lerhaupt 2002-08-13 15:05:40 EDT
Larry Troan suggested this patch was be re-considered for Milan and may have to 
be changed.  I wanted to know if this would impact this patch into a Pensacola 
errata (see bug 69956) or if the two releases could have the same fix in two 
different forms.

Note You need to log in before you can comment on or make changes to this bug.